# ApplicationFramework
TKLCAF
TDF

# TDF_ListIteratorOfDeltaList Class Reference

`#include <TDF_ListIteratorOfDeltaList.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_ListIteratorOfDeltaList ()
Standard_EXPORT | TDF_ListIteratorOfDeltaList (const TDF_DeltaList &L)
Standard_EXPORT void | Initialize (const TDF_DeltaList &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_TDF_Delta & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TDF_ListIteratorOfDeltaList::TDF_ListIteratorOfDeltaList | ( |  | ) |

Standard_EXPORT TDF_ListIteratorOfDeltaList::TDF_ListIteratorOfDeltaList | ( | const TDF_DeltaList & | L | ) |

## Member Function Documentation

Standard_EXPORT void TDF_ListIteratorOfDeltaList::Initialize | ( | const TDF_DeltaList & | L | ) |

Standard_Boolean TDF_ListIteratorOfDeltaList::More | ( |  | ) | const

Standard_EXPORT void TDF_ListIteratorOfDeltaList::Next | ( |  | ) |

void TDF_ListIteratorOfDeltaList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_ListIteratorOfDeltaList::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_ListIteratorOfDeltaList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_TDF_Delta& TDF_ListIteratorOfDeltaList::Value | ( |  | ) | const

## Field Documentation

Standard_Address TDF_ListIteratorOfDeltaList::current `[private]`

Standard_Address TDF_ListIteratorOfDeltaList::previous `[private]`

The documentation for this class was generated from the following file:

- TDF_ListIteratorOfDeltaList.hxx